BillogramEvent Webhook
Webhook endpoint for receiving Billogram events.
This endpoint receives webhooks for various events related to Billogram operations. The request body contains event details including the event type and associated data.
For information about webhook response requirements, request headers, and signature verification, see the Webhooks tag description.
Event Types
This webhook can receive various event types. The event type is specified in the event.type field of the request body. Use the discriminator to determine which event schema applies.
- eventrequired
If an order to pay via autogiro has failed for some reason. The most common reason is that the payer was missing money on their bank account.
- typeDiscriminatorconst:AutogiroFailedrequired
The type of event that occurred.
- createdType: string
_at Pattern: ^\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}$requiredTimestamp the event was created at. Given as a date-time string in UTC in the format "YYYY-MM-DD HH:MM:SS".
- eventType: stringFormat: uuid
_uuid requiredA unique identifier (in UUID format) that identifies this specific event. Can be used to correlate the callback event to the specific event in the timeline.
- billogramType: string
_id The ID of the billogram this event belongs to.
- dataType: object ·
- Type: object ·billogram
The billogram object associated with this event.
- Type: stringcallback
_id Unique identifier for this callback/webhook delivery.
- Type: stringFormat: date-timecallback
_timestamp Timestamp when the callback was sent. Given as a date-time string in UTC.
- callback
_type const:BillogramEventThe type of callback. e.g., "BillogramEvent" for billogram event webhooks.
- Type: string | nullcustom
Custom value that was included when setting up the callback.
- Type: string | nullsignaturedeprecated
Deprecated and Replaced by header signature. Will be removed in future versions.
- application/json
{
"billogram": {
"id": "7Wy4g4tQ",
"ocr_number": "123456789",
"payment_references": {
"OCR": "123456789"
},
"state": "Paid",
"remaining_sum": 0,
"total_sum": 3649,
"attested_at": "2026-01-09 11:08:20",
"detailed_sums": {
"invoice_fee": 0,
"invoice_fee_vat": 0,
"net_sum": 3258.03,
"vat_sum": 390.97,
"gross_sum": 3649,
"rounding": 0,
"reminder_fee": 0,
"late_payment_fee": 0,
"interest_fee": 0,
"credited_sum": 0,
"paid_sum": -3649,
"collector_paid_sum": 0,
"remaining_sum": 0,
"regional_sweden": {
"rotavdrag_sum": 0
}
},
"regional_sweden": {
"rotavdrag_sum": 0
},
"creditor_unique_value": "order_2026-01-20_000742"
},
"event": {
"created_at": "2026-01-19 11:02:41",
"event_uuid": "46c3c255-c768-4e77-8508-642f933aaa2b",
"type": "AutogiroFailed",
"data": {
"amount": 3649,
"full_status": "Autogiro connection missing - bank account may be closed"
}
},
"callback_id": "bk987733-6475-4510-a10a-3fcd67a80kj09",
"callback_timestamp": "2025-12-20T09:31:42.890080Z",
"callback_type": "BillogramEvent",
"custom": "correlation_id=9b2c1a77-3f2d-4b6a-9f7d-1f0c6f4d2a11",
"signature": null
}
{
"status": "OK"
}